package com.tykj.dev.device.usereport.service;

import com.tykj.dev.device.usereport.subject.domin.DeviceUseReport;
import com.tykj.dev.device.usereport.subject.vo.DeviceUseReportCreateVo;
import com.tykj.dev.device.usereport.subject.vo.DeviceUseReportSelectVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * @author dengdiyi
 */
public interface DeviceUseReportService {

    DeviceUseReport addEntity(DeviceUseReport deviceUseReportEntity);

    Page<DeviceUseReport> getPage(DeviceUseReportSelectVo deviceUseReportSelectVo, Pageable pageable);

    DeviceUseReport getOne(Integer id);

    DeviceUseReport update(DeviceUseReport deviceUseReportEntity);

    DeviceUseReport createReport(DeviceUseReportCreateVo deviceUseReportCreateVo);

    void delete(Integer id);
}
